Bug 967874 - Cannot remove custom properties from a vm
Cannot remove custom properties from a vm
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-restapi (Show other bugs)
3.2.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.3.0
Assigned To: Alona Kaplan
Martin Pavlik
network
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-28 09:06 EDT by Alona Kaplan
Modified: 2016-02-10 14:47 EST (History)
8 users (show)

See Also:
Fixed In Version: is2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-21 17:15:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 15137 None None None Never

  None (edit)
Description Alona Kaplan 2013-05-28 09:06:37 EDT
Description of problem:
When passing <custom_properties/> to update vm, the custom properties on the vm aren't removed.
Just when passing - <custom_properties> <custom_property/> </custom_properties>
the custom properties are removed.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Add custom properties to a vm.
2. Try to remove the custom properties by passing <custom_properties/> to update vm.

Actual results:
The vm still have custom properties.


Expected results:
The vm doesn't have custom properties.


Additional info:
Comment 1 Martin Pavlik 2013-07-04 08:49:18 EDT
works on is4 passing <custom_properties/> does remove properties from VM
Comment 2 Itamar Heim 2014-01-21 17:15:59 EST
Closing - RHEV 3.3 Released
Comment 3 Itamar Heim 2014-01-21 17:22:55 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.